Package org.apache.tomcat.util.security

# Class PrivilegedSetTccl

java.lang.Object
org.apache.tomcat.util.security.PrivilegedSetTccl

All Implemented Interfaces:
  `PrivilegedAction<Void>`

public class PrivilegedSetTccl extends Object implements PrivilegedAction<Void>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrivilegedSetTccl(ClassLoader cl)`
  Deprecated.
  `PrivilegedSetTccl(Thread t, ClassLoader cl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Void`
  `run()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrivilegedSetTccl

    @Deprecated public PrivilegedSetTccl(ClassLoader cl)
    Deprecated.

  - ### PrivilegedSetTccl

    public PrivilegedSetTccl(Thread t, ClassLoader cl)

- ## Method Details

  - ### run

    public Void run()
    Specified by:
      `run` in interface `PrivilegedAction<Void>`